Bug 1264261 - Auto-attached bonus pool can't revoke after migration [NEEDINFO]
Auto-attached bonus pool can't revoke after migration
Status: NEW
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Subscription Management (Show other bugs)
6.1.0
x86_64 Linux
unspecified Severity high (vote)
: GA
: --
Assigned To: Eric Helms
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-17 23:54 EDT by Liushihui
Modified: 2018-02-14 17:42 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bcourt: needinfo? (tomckay)


Attachments (Terms of Use)
Guest_bonus_pool_on_satellite (134.24 KB, image/jpeg)
2015-09-18 01:31 EDT, Liushihui
no flags Details

  None (edit)
Description Liushihui 2015-09-17 23:54:51 EDT
Description of problem:
Guest auto attach a subpool on original host, the bonus pool still exist after it has been migrated to destination host.

Version-Release number of selected component (if applicable):
virt-who-0.14-8.el7.noarch
subscription-manager-1.15.9-10.el7.x86_64
python-rhsm-1.15.4-5.el7.x86_64
Satellite-6.1.0-RHEL-7-20150828.0

How reproducible:
Always

Steps to Reproduce:
1. Register orig host, dst host and guest(on orig host) to Satellite
2. Make virt-who run at kvm mode on orig host and dst host
3. Orig host subscribe "Red Hat Enterprise Linux for Virtual Datacenters, Standard"
4. Guest auto subscribe the bonus pool which generate by Datacenter pool
5. Migrate guest to dst host.
6. Check the virt-who's log, virt-who has show the guest on dst host, meanwhile, it has removed from orig host
7. On Satellite web UI, Go to Hosts-->Content host-->Guest name --> Detail, it show guest's Virtual host is dst host
8. On Satellite web UI, Go to Hosts-->Content host-->Guest name --> Subscriptions--> List/Remove

Actual results:
Guest still subscribed the previous bonus pool which generate by orig host. Please see the screenshot in attachment

Expected results:
The bonus pool should revoke since guest has been migrated to another host.

Additional info:
If manual attach the same bonus pool, it hasn't this problem, the bonus pool can be removed after migration
Comment 1 Liushihui 2015-09-18 01:31:34 EDT
Created attachment 1074683 [details]
Guest_bonus_pool_on_satellite
Comment 2 Radek Novacek 2015-09-22 07:12:17 EDT
Shouldn't this bug be assigned to Satellite 6 instead of virt-who? It looks like virt-who is sending correct information to the Satellite.
Comment 3 Liushihui 2015-09-22 22:10:18 EDT
Ok, I think so, move it to satellite6, thanks.(In reply to Radek Novacek from comment #2)
> Shouldn't this bug be assigned to Satellite 6 instead of virt-who? It looks
> like virt-who is sending correct information to the Satellite.
Comment 4 Liushihui 2016-01-12 04:35:53 EST
It still exist on Satellite-6.1.0-RHEL-7-20160107.0.
Comment 9 Barnaby Court 2016-12-20 14:32:27 EST
Tom,  Have you been able to determine if this is a Katello or Candlepin issue?

Note You need to log in before you can comment on or make changes to this bug.